Syncware
  1. Lead Notes
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
    • Query Single Customer
    • Create New Customer
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
      GET
    • Create Lead Note
      POST
    • Update Lead Note
      PUT
    • Delete Lead Note
      DELETE
    • Delete All Notes By Lead Id
      DELETE
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Lead Notes

Update Lead Note

PUT
/LeadNotes
Lead Notes
Last modified:2026-10-22 03:23:39

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.syncware.com/api/v1/LeadNotes' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "id": 2006,
    "lead_id": 3014,
    "note": "Test Leads Notes",
    "created_by": "SYNQWARE",
    "shared_with_rep": true,
    "is_reviewed": false,
    "request": "",
    "complete_by": "SYNQWARE",
    "request_status": "NEW",
    "note_type": "action"
}'
Response Response Example
200 - response
{
    "id": 2006,
    "lead_id": 3014,
    "note": "Test Leads Notes Updated",
    "created_date": "2021-06-12T15:23:03.000Z",
    "is_reviewed": false,
    "request": "",
    "request_status": "UPDTED",
    "complete_by": null,
    "note_type": "action"
}
Previous
Create Lead Note
Next
Delete Lead Note
Built with